# all files / ol/render/ ireplay.js

100% Statements 7/7
100% Branches 0/0
0% Functions 0/3
100% Lines 7/7

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    551×

    1×

    1×

    1×

    1×

    1×

    1×

     goog.provide('ol.render.IReplayGroup');

    goog.require('ol.render.VectorContext');

    /**
     * @enum {string}
     */
    ol.render.ReplayType = {
      IMAGE: 'Image',
      LINE_STRING: 'LineString',
      POLYGON: 'Polygon',
      TEXT: 'Text'
    };

    /**
     * @const
     * @type {Array.<ol.render.ReplayType>}
     */
    ol.render.REPLAY_ORDER = [
      ol.render.ReplayType.POLYGON,
      ol.render.ReplayType.LINE_STRING,
      ol.render.ReplayType.IMAGE,
      ol.render.ReplayType.TEXT
    ];

    /**
     * @interface
     */
    ol.render.IReplayGroup = function() {
    };

    /* eslint-disable valid-jsdoc */
    // TODO: enable valid-jsdoc for @interface methods when this issue is resolved
    // https://github.com/eslint/eslint/issues/4887

    /**
     * @param {number|undefined} zIndex Z index.
     * @param {ol.render.ReplayType} replayType Replay type.
     * @return {ol.render.VectorContext} Replay.
     */
    ol.render.IReplayGroup.prototype.getReplay = function(zIndex, replayType) {
    };

    /**
     * @return {boolean} Is empty.
     */
    ol.render.IReplayGroup.prototype.isEmpty = function() {
    };